commit d8f4f1903eac5853b51e56b8e80743bc66adbb3d
Author: Jose E. Marchesi <jose.marchesi@oracle.com>
Date:   Wed Aug 12 16:56:07 2020 +0200

    bpf: remove trailing whitespaces from source files
    
    This patch is a little cleanup that removes trailing whitespaces from
    the bpf backend source files.
    
    (cherry pick of commit e87c540fe43e29663140ed67b98ee437c25696bb)
    
    2020-08-07  Jose E. Marchesi  <jose.marchesi@oracle.com>
    
    gcc/
            * config/bpf/bpf.md: Remove trailing whitespaces.
            * config/bpf/constraints.md: Likewise.
            * config/bpf/predicates.md: Likewise.
    
    gcc/testsuite/
            * gcc.target/bpf/diag-funargs-2.c: Remove trailing whitespaces.
            * gcc.target/bpf/skb-ancestor-cgroup-id.c: Likewise.
            * gcc.target/bpf/helper-xdp-adjust-meta.c: Likewise.
            * gcc.target/bpf/helper-xdp-adjust-head.c: Likewise.
            * gcc.target/bpf/helper-tcp-check-syncookie.c: Likewise.
            * gcc.target/bpf/helper-sock-ops-cb-flags-set.c
            * gcc.target/bpf/helper-sysctl-set-new-value.c: Likewise.
            * gcc.target/bpf/helper-sysctl-get-new-value.c: Likewise.
            * gcc.target/bpf/helper-sysctl-get-name.c: Likewise.
            * gcc.target/bpf/helper-sysctl-get-current-value.c: Likewise.
            * gcc.target/bpf/helper-strtoul.c: Likewise.
            * gcc.target/bpf/helper-strtol.c: Likewise.
            * gcc.target/bpf/helper-sock-map-update.c: Likewise.
            * gcc.target/bpf/helper-sk-storage-get.c: Likewise.
            * gcc.target/bpf/helper-sk-storage-delete.c: Likewise.
            * gcc.target/bpf/helper-sk-select-reuseport.c: Likewise.
            * gcc.target/bpf/helper-sk-release.c: Likewise.
            * gcc.target/bpf/helper-sk-redirect-map.c: Likewise.
            * gcc.target/bpf/helper-sk-lookup-upd.c: Likewise.
            * gcc.target/bpf/helper-sk-lookup-tcp.c: Likewise.
            * gcc.target/bpf/helper-skb-change-head.c: Likewise.
            * gcc.target/bpf/helper-skb-cgroup-id.c: Likewise.
            * gcc.target/bpf/helper-skb-adjust-room.c: Likewise.
            * gcc.target/bpf/helper-set-hash.c: Likewise.
            * gcc.target/bpf/helper-setsockopt.c: Likewise.
            * gcc.target/bpf/helper-redirect-map.c: Likewise.
            * gcc.target/bpf/helper-rc-repeat.c: Likewise.
            * gcc.target/bpf/helper-rc-keydown.c: Likewise.
            * gcc.target/bpf/helper-probe-read-str.c: Likewise.
            * gcc.target/bpf/helper-perf-prog-read-value.c: Likewise.
            * gcc.target/bpf/helper-perf-event-read-value.c: Likewise.
            * gcc.target/bpf/helper-override-return.c: Likewise.
            * gcc.target/bpf/helper-msg-redirect-map.c: Likewise.
            * gcc.target/bpf/helper-msg-pull-data.c: Likewise.
            * gcc.target/bpf/helper-msg-cork-bytes.c: Likewise.
            * gcc.target/bpf/helper-msg-apply-bytes.c: Likewise.
            * gcc.target/bpf/helper-lwt-seg6-store-bytes.c: Likewise.
            * gcc.target/bpf/helper-lwt-seg6-adjust-srh.c: Likewise.
            * gcc.target/bpf/helper-lwt-seg6-action.c: Likewise.
            * gcc.target/bpf/helper-lwt-push-encap.c: Likewise.
            * gcc.target/bpf/helper-get-socket-uid.c: Likewise.
            * gcc.target/bpf/helper-get-socket-cookie.c: Likewise.
            * gcc.target/bpf/helper-get-local-storage.c: Likewise.
            * gcc.target/bpf/helper-get-current-cgroup-id.c: Likewise.
            * gcc.target/bpf/helper-getsockopt.c: Likewise.
            * gcc.target/bpf/diag-funargs-3.c: Likewise.

diff --git a/gcc/testsuite/gcc.target/bpf/helper-lwt-seg6-adjust-srh.c b/gcc/testsuite/gcc.target/bpf/helper-lwt-seg6-adjust-srh.c
index adc8dc414df..762ab411ef2 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-lwt-seg6-adjust-srh.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-lwt-seg6-adjust-srh.c
@@ -10,9 +10,8 @@ foo ()
   int ret;
   void *skb;
   uint32_t offset, delta;
-  
-  ret = bpf_lwt_seg6_adjust_srh (skb, offset,
-						  delta);
+
+  ret = bpf_lwt_seg6_adjust_srh (skb, offset, delta);
 }
 
 /* { dg-final { scan-assembler "call\t75" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-map.c b/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-map.c
index ef69f111183..ed7652bfc90 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-map.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-msg-redirect-map.c
@@ -11,9 +11,8 @@ foo ()
   void *msg, *map;
   uint64_t key;
   uint64_t flags;
-  
-  ret = bpf_msg_redirect_map (msg, map, key,
-					       flags);
+
+  ret = bpf_msg_redirect_map (msg, map, key, flags);
 }
 
 /* { dg-final { scan-assembler "call\t60" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-rc-keydown.c b/gcc/testsuite/gcc.target/bpf/helper-rc-keydown.c
index c419ee06c5c..dd90423b14b 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-rc-keydown.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-rc-keydown.c
@@ -11,9 +11,8 @@ foo ()
   void *ctx;
   uint32_t protocol, toggle;
   uint64_t scancode;
-  
-  ret = bpf_rc_keydown (ctx, protocol,
-					 scancode, toggle);
+
+  ret = bpf_rc_keydown (ctx, protocol, scancode, toggle);
 }
 
 /* { dg-final { scan-assembler "call\t78" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sock-map-update.c b/gcc/testsuite/gcc.target/bpf/helper-sock-map-update.c
index fbb5d7556d4..b263583be45 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sock-map-update.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sock-map-update.c
@@ -10,9 +10,8 @@ foo ()
   int ret;
   void *skops, *map, *key;
   uint64_t flags;
-  
-  ret = bpf_sock_map_update (skops, map, key,
-					      flags);
+
+  ret = bpf_sock_map_update (skops, map, key, flags);
 }
 
 /* { dg-final { scan-assembler "call\t53" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/helper-sock-ops-cb-flags-set.c b/gcc/testsuite/gcc.target/bpf/helper-sock-ops-cb-flags-set.c
index 4efd69a5543..7a98fa9b92e 100644
--- a/gcc/testsuite/gcc.target/bpf/helper-sock-ops-cb-flags-set.c
+++ b/gcc/testsuite/gcc.target/bpf/helper-sock-ops-cb-flags-set.c
@@ -10,9 +10,8 @@ foo ()
   int ret;
   void *bpf_sock;
   int argval;
-  
-  ret = bpf_sock_ops_cb_flags_set (bpf_sock,
-						    argval);
+
+  ret = bpf_sock_ops_cb_flags_set (bpf_sock, argval);
 }
 
 /* { dg-final { scan-assembler "call\t59" } } */
diff --git a/gcc/testsuite/gcc.target/bpf/skb-ancestor-cgroup-id.c b/gcc/testsuite/gcc.target/bpf/skb-ancestor-cgroup-id.c
index 8e88c93cac9..13ccf36b4d6 100644
--- a/gcc/testsuite/gcc.target/bpf/skb-ancestor-cgroup-id.c
+++ b/gcc/testsuite/gcc.target/bpf/skb-ancestor-cgroup-id.c
@@ -10,9 +10,8 @@ foo ()
   int ret;
   void *skb;
   int ancestor_level;
-  
-  ret = bpf_skb_ancestor_cgroup_id (skb,
-						     ancestor_level);
+
+  ret = bpf_skb_ancestor_cgroup_id (skb, ancestor_level);
 }
 
 /* { dg-final { scan-assembler "call\t83" } } */

